prog:
		g++ -E exercise_02_29.cpp -o exercise_02_29.ii
	        g++ -S exercise_02_29.ii -o exercise_02_29.s
		g++ -c exercise_02_29.s -o exercise_02_29.o
		g++ exercise_02_29.o -o exercise_02_29
		echo exercise_02_29 > .gitignore
clean:
		rm exercise_02_29.ii exercise_02_29.s exercise_02_29.o exercise_02_29 .gitignore

test:
		./exercise_02_29
